!!!-----Instructions for use -----!!!
!Include('JJKOLE.INC', 'OLEEquates')       !in after Global includes embed
!include('IShellLk.inc','IShellLkEquates') !in after Global Includes embed

!Include('JJKOLE.INC','OLEProto')     !in the global map
!Include('IShellLk.inc','IShellLkProto') !in the global map

!Add ICall.A to the project              !Project system
!Add JJKOLE.CLW to the project
!Add IShellLk.CLW to the project
!32 bit only

Section('IShellLkEquates')
ShortCutStructType Group,type
!lpTarget or lpIconPath or lpLinkFileName can not be 0
!if lpLinkFileName contains a path ignore SpecialLocation
lpTarget        long     !cant be 0
lpDesc          long     !can be 0
hotkey          ushort   !can be 0 or a keycode
lpIconPath      long     !May not be null, but can use same value as lptarget
IconIndex       ushort   !0 is the 1st icon
lpWorkingDir    long     !Can be 0 or NULL
lpLinkFileName  long     !file name with optional path for the .lnk file to create
SpecialLocation long     !special location to create shortcut -1 if LinkFileName includes a path else a CSIDL equate
                         !0 happens to equal CSIDL_Desktop so its a valid value
  end
!Typical Data
!ShortCutStruct  like(ShortCutStructType)
!Target          cstring('C:\Windows\Notepad.exe')
!Desc            cstring('New Notepad Link')
!LinkFileName    cstring('C:\NewNotePadLink.LNK')
!WorkingDir      cstring('C:\Windows\Temp')
!SpeicalLocation = -1
! -or-
!LinkFileName    cstring(NewNotePadLink.LNK')
!SpeicalLocation = CSIDL_DeskTop !(=0)




Section('IShellLkProto')
  Module('IShellLk.Clw')
    CreateShortCut(ShortCutStructType ShortCutStruct),byte
  end

Section('IShellLkData')
IShellLink_QuerryInterface      Equate(0)
IShellLink_AddRef               Equate(4)
IShellLink_Release              Equate(8)
IShellLink_GetPath              Equate(0CH)
IShellLink_GetIDList            Equate(10H)
IShellLink_SetIDList            Equate(14H)
IShellLink_GetDescrip           Equate(18H)
IShellLink_SetDescrip           Equate(1CH)
IShellLink_GetWorkDir           Equate(20H)
IShellLink_SetWorkDir           Equate(24H)
IShellLink_GetArguments         Equate(28H)
IShellLink_SetArguments         Equate(2CH)
IShellLink_GetHotKey            Equate(30H)
IShellLink_SetHotKey            Equate(34H)
IShellLink_GetShowCmd           Equate(38H)
IShellLink_SetShowCmd           Equate(3CH)
IShellLink_GetIconLoc           Equate(40H)
IShellLink_SetIconLoc           Equate(44H)
IShellLink_GetRelPath           Equate(48H)
IShellLink_Resolve              Equate(4CH)
IShellLink_SetPath              Equate(50H)

IPersistFile_QuerryInterface    equate(0)
IPersistFile_AddRef             equate(4)
IPersistFile_Release            equate(8)
IPersistFile_GetClassID         equate(0CH)
IPersistFile_Isdirty            equate(10H)
IPersistFile_Load               Equate(14H)
IPersistFile_Save               equate(18H)
IPersistFile_SaveCompleted      equate(1CH)
IPersistFile_GetCurFile         equate(20H)


ClsId_ShellLink Group
data1       ulong(21401H)
data2       ushort(0)
data3       ushort(0)
data41      byte(0C0H)
data42      byte(0)
data43      byte(0)
data44      byte(0)
data45      byte(0)
data46      byte(0)
data47      byte(0)
data48      byte(46H)
  end

IID_IShellLink   group
data1       ulong(214EEH)
data2       ushort(0)
data3       ushort(0)
data41      byte(0C0H)
data42      byte(0)
data43      byte(0)
data44      byte(0)
data45      byte(0)
data46      byte(0)
data47      byte(0)
data48      byte(46H)
  end
IID_IPersistFile   group
data1       ulong(10BH)
data2       ushort(0)
data3       ushort(0)
data41      byte(0C0H)
data42      byte(0)
data43      byte(0)
data44      byte(0)
data45      byte(0)
data46      byte(0)
data47      byte(0)
data48      byte(46H)
  end

